English Query 7.0 installs Microsoft Data Access Components 2.1, which can cause problems on your development machine. The following excerpt is from a Microsoft Q & A at http://www.microsoft.com/data/21info.htm:

Microsoft released MDAC 2.1 with SQL Server 7.0 and SQL Server 6.5 Service Pack 5 (SP5). This MDAC release contains an upgrade to the Microsoft Jet engine and the OLE DB and ODBC providers for Jet. Microsoft targeted this release for use by SQL Server 7.0. If you use this version of Microsoft Jet and its drivers outside the specific contexts of SQL Server (e.g., within Visual Basic (VB) applications via ADO, ODBC, or OLE DB), problems exist that might cause application failure. Therefore, Microsoft recommends that you don't use this MDAC 2.1 stack to develop Jet applications or upgrade Jet applications to Jet 4.0.